com.sun.source.tree

## Interface AnnotationTree

- All Superinterfaces:
    ExpressionTree, Tree

      public interface AnnotationTree
      extends ExpressionTree

  A tree node for an annotation. For example:

          @annotationType
          @annotationType ( arguments )

  Since:
    1.6
  See The Java™ Language Specification:
    section 9.7

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

      `Tree.Kind`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Tree` | `getAnnotationType()`
    `List<? extends ExpressionTree>` | `getArguments()`

    - ### Methods inherited from interface com.sun.source.tree.Tree

      `accept, getKind`

- - ### Method Detail

    - #### getAnnotationType

          Tree getAnnotationType()

    - #### getArguments

          List<? extends ExpressionTree> getArguments()

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.